Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.util.xa
Class AbstractXAResource

    java.lang.Object
      org.apache.commons.transaction.util.xa.AbstractXAResource

All Implemented Interfaces:
  Status, XAResource

Direct Known Subclasses:
  MapXAResource

public abstract class AbstractXAResource
extends Object
implements XAResource, Status

Abstract XAResource doing all the tedious tasks shared by many XAResouce implementations.

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Fields inherited from interface javax.transaction.Status
`STATUS_ACTIVE, STATUS_COMMITTED, STATUS_COMMITTING, STATUS_MARKED_ROLLBACK, STATUS_NO_TRANSACTION, STATUS_PREPARED, STATUS_PREPARING, STATUS_ROLLEDBACK, STATUS_ROLLING_BACK, STATUS_UNKNOWN`

Constructor Summary
`AbstractXAResource()`

Method Summary
`protected void` | `addAcitveTransactionalResource(Xid xid, TransactionalResource txContext)`
`protected void` | `addSuspendedTransactionalResource(Xid xid, TransactionalResource txContext)`
`void` | `commit(Xid xid, boolean onePhase)`
`protected abstract TransactionalResource` | `createTransactionResource(Xid xid)`
`void` | `end(Xid xid, int flags)`
`void` | `forget(Xid xid)`
`protected TransactionalResource` | `getActiveTransactionalResource(Xid xid)`
`protected TransactionalResource` | `getCurrentlyActiveTransactionalResource()`
`protected abstract LoggerFacade` | `getLoggerFacade()`
`protected TransactionalResource` | `getSuspendedTransactionalResource(Xid xid)`
`protected TransactionalResource` | `getTransactionalResource(Xid xid)`
`protected abstract boolean` | `includeBranchInXid()`
`abstract boolean` | `isSameRM(XAResource xares)`
`int` | `prepare(Xid xid)`
`abstract Xid[]` | `recover(int flag)`
`protected void` | `removeActiveTransactionalResource(Xid xid)`
`protected void` | `removeSuspendedTransactionalResource(Xid xid)`
`void` | `rollback(Xid xid)`
`protected void` | `setCurrentlyActiveTransactionalResource(TransactionalResource context)`
`void` | `start(Xid xid, int flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.transaction.xa.XAResource
`getTransactionTimeout, setTransactionTimeout`

Constructor Detail

### AbstractXAResource

    public AbstractXAResource()

Method Detail

### isSameRM

    public abstract boolean isSameRM(XAResource xares)
                              throws XAException

  Specified by:
    `isSameRM` in interface `XAResource`
  Throws:
    `XAException`

### recover

    public abstract Xid[] recover(int flag)
                           throws XAException

  Specified by:
    `recover` in interface `XAResource`
  Throws:
    `XAException`

### getLoggerFacade

    protected abstract LoggerFacade getLoggerFacade()

### includeBranchInXid

    protected abstract boolean includeBranchInXid()

### forget

    public void forget(Xid xid)
                throws XAException

  Specified by:
    `forget` in interface `XAResource`
  Throws:
    `XAException`

### commit

    public void commit(Xid xid,
                       boolean onePhase)
                throws XAException

  Specified by:
    `commit` in interface `XAResource`
  Throws:
    `XAException`

### rollback

    public void rollback(Xid xid)
                  throws XAException

  Specified by:
    `rollback` in interface `XAResource`
  Throws:
    `XAException`

### prepare

    public int prepare(Xid xid)
                throws XAException

  Specified by:
    `prepare` in interface `XAResource`
  Throws:
    `XAException`

### end

    public void end(Xid xid,
                    int flags)
             throws XAException

  Specified by:
    `end` in interface `XAResource`
  Throws:
    `XAException`

### start

    public void start(Xid xid,
                      int flags)
               throws XAException

  Specified by:
    `start` in interface `XAResource`
  Throws:
    `XAException`

### createTransactionResource

    protected abstract TransactionalResource createTransactionResource(Xid xid)
                                                                throws Exception

  Throws:
    `Exception`

### getCurrentlyActiveTransactionalResource

    protected TransactionalResource getCurrentlyActiveTransactionalResource()

### setCurrentlyActiveTransactionalResource

    protected void setCurrentlyActiveTransactionalResource(TransactionalResource context)

### getTransactionalResource

    protected TransactionalResource getTransactionalResource(Xid xid)

### getActiveTransactionalResource

    protected TransactionalResource getActiveTransactionalResource(Xid xid)

### getSuspendedTransactionalResource

    protected TransactionalResource getSuspendedTransactionalResource(Xid xid)

### addAcitveTransactionalResource

    protected void addAcitveTransactionalResource(Xid xid,
                                                  TransactionalResource txContext)

### addSuspendedTransactionalResource

    protected void addSuspendedTransactionalResource(Xid xid,
                                                     TransactionalResource txContext)

### removeActiveTransactionalResource

    protected void removeActiveTransactionalResource(Xid xid)

### removeSuspendedTransactionalResource

    protected void removeSuspendedTransactionalResource(Xid xid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.